org.apache.catalina.ha.tcp

## Class SendMessageData

- java.lang.Object
- - org.apache.catalina.ha.tcp.SendMessageData

-     public class SendMessageData
      extends Object

  Author:
    Peter Rossbach

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SendMessageData(Object message, Member destination, Exception exception)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Member` | `getDestination()`
    `Exception` | `getException()`
    `Object` | `getMessage()`
    `void` | `setDestination(Member destination)`
    `void` | `setException(Exception exception)`
    `void` | `setMessage(Object message)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SendMessageData

          public SendMessageData(Object message,
                         Member destination,
                         Exception exception)

      Parameters:
        `message` -
        `destination` -
        `exception` -

  - ### Method Detail

    - #### getDestination

          public Member getDestination()

      Returns:
        Returns the destination.

    - #### setDestination

          public void setDestination(Member destination)

      Parameters:
        `destination` - The destination to set.

    - #### getException

          public Exception getException()

      Returns:
        Returns the exception.

    - #### setException

          public void setException(Exception exception)

      Parameters:
        `exception` - The exception to set.

    - #### getMessage

          public Object getMessage()

      Returns:
        Returns the message.

    - #### setMessage

          public void setMessage(Object message)

      Parameters:
        `message` - The message to set.

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.